package cn.pluss.platform.leshua;

/**
 * @author yuchen
 * 
 * @Description 
 */
public class LeshuaBaseReq {
	
	/** 接口名 **/
	public String service;
	
	/** 乐刷分配的商户号 **/
	public String merchant_id;
	
	/** 商户订单号 **/
	public String third_order_id;
	
	/** 随机字符串 **/
	public String nonce_str;
	
	/** MD5签名 **/
	public String sign;
	
	public String getService() {
		return service;
	}

	public void setService(String service) {
		this.service = service;
	}

	public String getMerchant_id() {
		return merchant_id;
	}

	public void setMerchant_id(String merchant_id) {
		this.merchant_id = merchant_id;
	}

	public String getThird_order_id() {
		return third_order_id;
	}

	public void setThird_order_id(String third_order_id) {
		this.third_order_id = third_order_id;
	}

	public String getNonce_str() {
		return nonce_str;
	}

	public void setNonce_str(String nonce_str) {
		this.nonce_str = nonce_str;
	}

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("BasePayReq [service=").append(service).append(", merchant_id=").append(merchant_id).append(", third_order_id=")
				.append(third_order_id).append(", nonce_str=").append(nonce_str).append(", sign=").append(sign).append("]");
		return builder.toString();
	}

}

